Bug 315101 - (CVE-2007-5198) CVE-2007-5198 nagios-plugins check_http buffer overflow
CVE-2007-5198 nagios-plugins check_http buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
Fedora Extras Quality Assurance
source=gentoo,reported=20071001,publi...
: Security
Depends On: 362881 362891 362901 445569
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-02 04:19 EDT by Tomas Hoger
Modified: 2010-12-22 17:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-22 17:34:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-10-02 04:19:00 EDT
New upstream nagios-plugins version 1.4.10 was released recently with following fix:

"Fix check_http buffer overflow vulnerability when following HTTP redirects"

Release notes:
http://sourceforge.net/forum/forum.php?forum_id=740172

SF.net bug report:
http://sourceforge.net/tracker/index.php?func=detail&aid=1687867&group_id=29880&atid=397597

Relevant CVS commit:
http://nagiosplug.cvs.sourceforge.net/nagiosplug/nagiosplug/plugins/check_http.c?r1=1.106&r2=1.107

Workaround: do to follow redirects for untrusted servers (see -f option)

No CVE id known at the moment.
Comment 1 Tomas Hoger 2007-10-05 02:28:56 EDT
CVE name CVE-2007-5198 was assigned to this vulnerability.
Comment 2 Tomas Hoger 2007-10-23 07:25:13 EDT
Additional check_http buffer overflow was reported, which is not fixed in 1.4.10:

http://sourceforge.net/tracker/index.php?func=detail&aid=1813346&group_id=29880&atid=397597

Upstream SVN commit:

http://nagiosplug.svn.sourceforge.net/viewvc/nagiosplug/nagiosplug/trunk/plugins/check_http.c?r1=1804&r2=1807

Again, this issue affects redirection handling code (see workaround above).
Comment 4 Fedora Update System 2008-04-16 23:48:46 EDT
nagios-plugins-1.4.11-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2008-04-16 23:54:27 EDT
nagios-plugins-1.4.11-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Tomas Hoger 2008-05-07 10:14:48 EDT
Patch mentioned in comment #2 is applied in upstream 1.4.11, which is in Fedora
archive now.

Note You need to log in before you can comment on or make changes to this bug.